:root {
    --ebftr3-white: #ffffff;
    --ebftr3-dark: #000000;
    --ebftr3-primary: #073b6b;
    --ebftr3-secondary: #00b6ba;
    --ebftr3-gray: #cccccc;
    --ebftr3-container-width: 1440px;
    /* ===== SPACING ===== */
    --ebftr3-space-xs: .4rem;
    --ebftr3-space-sm: .8rem;
    --ebftr3-space-md: 1.2rem;
    --ebftr3-space-lg: 2rem;
    --ebftr3-space-xl: 3rem;

    /* ===== FONT SCALE ===== */
    --ebftr3-fs-sm: .85rem;
    --ebftr3-fs-base: 1rem;
    --ebftr3-fs-md: 1.1rem;
    --ebftr3-fs-lg: 1.125rem;
    --ebftr3-fs-xl: 1.6rem;
    --ebftr3-fs-2xl: 1.25rem;
    /* ===== TRANSITION ===== */
    --transition: .35s cubic-bezier(.4, 0, .2, 1);


    /* ====== border radius === */
    --ebftr3-br-sm: 12px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {

    direction: rtl;
}



a {
    text-decoration: none;
    color: inherit;
}

button {
    border: none;
    background-color: inherit;
}

/* ================================== */
/* ================================== */
/* ================================== */

.ebftr3-main-footer {
    background-color: var(--ebftr3-primary);
    color: var(--ebftr3-white);

    margin-top: var(--ebftr3-space-lg);
    box-shadow: 0 -6px 20px rgba(0, 0, 0, 0.39);
    border-radius: var(--ebftr3-br-sm) var(--ebftr3-br-sm) 0 0;
    margin-bottom: var(--ebftr3-space-lg);
}

.ebftr3-container {
    max-width: var(--ebftr3-container-width);
    margin: 0 auto;
}

.ebftr3-footer-about {
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: space-between;
    gap: var(--ebftr3-space-lg);

    border-radius: var(--ebftr3-br-sm) var(--ebftr3-br-sm) 0 0;
    background-color: var(--ebftr3-gray);
    width: 100%;

    padding: var(--ebftr3-space-md);
}

.ebftr3-site-intro {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: var(--ebftr3-space-sm);
}

.ebftr3-footer-site-title-logo {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    gap: var(--ebftr3-space-md);
}

.ebftr3-footer-site-logo {
    width: 120px;
    aspect-ratio: 1/0.5;
    /* border-radius: 50%; */
    box-shadow: 1px 1px 10px var(--ebftr3-gray);
}

.ebftr3-footer-site-title {
    font-size: var(--ebftr3-fs-xl);
    font-weight: 800;

    position: relative;

    text-decoration: none;
    color: var(--ebftr3-primary);
}

.ebftr3-footer-desc {
    color: var(--ebftr3-primary);
    line-height: 1.8;
}

/* ============================================ */
/* ============================================ */


.ebftr3-footer-grid {
    display: grid;
    grid-template-columns: 2fr 1.5fr 1fr 2fr;
    gap: var(--ebftr3-space-xl);
    padding-block: var(--ebftr3-space-xl);
}

.ebftr3-footer-col {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--ebftr3-space-md);
}

.ebftr3-footer-title {
    font-size: var(--ebftr3-fs-lg);
    font-weight: 600;
    margin-bottom: var(--ebftr3-space-lg);
    width: fit-content;
    position: relative;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--ebftr3-secondary);
    /* border-radius: 20px; */
    padding: var(--ebftr3-space-sm);
}

.ebftr3-social-links {
    display: flex;
    gap: var(--ebftr3-space-md);
    list-style: none;
}

.ebftr3-social-icon {
    width: 40px;
    height: 40px;
    border-radius: 10px;
    background: var(--ebftr3-white);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--ebftr3-secondary);
    transition: var(--transition);

    font-size: large;
    font-weight: bold;
}

.ebftr3-social-icon:hover {
    background: var(--ebftr3-secondary);
    color: var(--ebftr3-white);
    transform: translateY(-3px);
}

.ebftr3-footer-links {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: var(--ebftr3-space-sm);
}

.ebftr3-footer-links a {
    color: var(--ebftr3-white);
    text-decoration: none;
    transition: var(--transition);
}

.ebftr3-footer-links a:hover {
    color: var(--ebftr3-secondary);
    padding-right: 5px;
}

.ebftr3-footer-contact {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: var(--ebftr3-space-md);
}

.ebftr3-footer-contact li i {
    font-weight: 400;
    font-size: var(--ebftr3-fs-xl);
}

.ebftr3-footer-contact li {
    display: flex;
    align-items: center;
    gap: var(--ebftr3-space-md);
    color: var(--ebftr3-white);
}

.ebftr3-footer-bottom {
    text-align: center;
    padding-block: var(--ebftr3-space-lg);
    color: var(--ebftr3-primary);
    font-size: var(--ebftr3-fs-sm);

    border-radius: var(--ebftr3-br-sm) var(--ebftr3-br-sm) 0 0;
    background-color: var(--ebftr3-gray);
    width: 100%;
}

/* --- Responsive Breakpoints --- */
@media (max-width: 1024px) {
    .ebftr3-footer-grid {
        grid-template-columns: 1fr 1fr;
    }

    .ebftr3-container {
        padding-inline: var(--ebftr3-space-md);
    }


}

@media (max-width: 768px) {
    .ebftr3-footer-grid {
        grid-template-columns: 1fr;
        gap: var(--ebftr3-space-xl);
        text-align: center;
    }

    .ebftr3-footer-title::after {
        right: 50%;
        transform: translateX(50%);
    }

    .ebftr3-social-links {
        justify-content: center;
    }

    .ebftr3-footer-contact li {
        justify-content: center;
    }

    .ebftr3-footer-title {

        margin-inline: auto;
    }
}